export interface Config {
    /**
     * Absolute path to Openapi Document
     */
    file: string;
    /**
     * Endpoint that serves raw Openapi Document in JSON
     * default: /openapi.json
     */
    endpoint: string;
    /**
     * Endpoint that serves Openapi UI
     * default: /openapi.html
     */
    uiEndpoint: string;
    /**
     * Validate the response
     */
    validateResponse: boolean;
    /**
     * Whitelist paths for request validation
     * default: ['/']
     */
    validatePaths: string[];
}
export declare function validateConfig(cfg: Partial<Config>): Config;
